Subject: Re: Good idea to rename files in include/uapi/ ?

From: Stefano Brivio <[email-masked]>
Date: Sun, 14 Jun 2020 22:34:56 +0200

On Sun, 14 Jun 2020 21:41:17 +0200
"Alexander A. Klimov" <[email-masked]> wrote:

> Hello there!
> 
> At the moment one can't checkout a clean working directory w/o any 
> changed files on a case-insensitive FS as the following file names have 
> lower-case duplicates:

They are not duplicates: matching extensions are lowercase, target
extensions are uppercase. DSCP is the extension to set DSCP bits, dscp
is the extension to match on those packet bits.

> ➜  linux git:(96144c58abe7) git ls-files |sort -f |uniq -id
> include/uapi/linux/netfilter/xt_CONNMARK.h
> include/uapi/linux/netfilter/xt_DSCP.h
> include/uapi/linux/netfilter/xt_MARK.h
> include/uapi/linux/netfilter/xt_RATEEST.h
> include/uapi/linux/netfilter/xt_TCPMSS.h
> include/uapi/linux/netfilter_ipv4/ipt_ECN.h
> include/uapi/linux/netfilter_ipv4/ipt_TTL.h
> include/uapi/linux/netfilter_ipv6/ip6t_HL.h
> net/netfilter/xt_DSCP.c
> net/netfilter/xt_HL.c
> net/netfilter/xt_RATEEST.c
> net/netfilter/xt_TCPMSS.c
> tools/memory-model/litmus-tests/Z6.0+pooncelock+poonceLock+pombonce.litmus
> ➜  linux git:(96144c58abe7)
> 
> Also even on a case-sensitive one VIm seems to have trouble with editing 
> both case-insensitively equal files at the same time.

...what trouble exactly?

> I was going to make a patch renaming the respective duplicates, but I'm 
> not sure:
> 
> *Is it a good idea to rename files in include/uapi/ ?*

I'm not sure it's a good idea to even use git on a case-insensitive
filesystem. I'm curious, what is your use case?

-- 
Stefano